Subject: Re: FW: Re: wxwin port
From: [email-masked] (Fabio Somenzi)

10 Nov 1996 04:32:18 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Sender: [email-masked]

->Does anyone have any input on why 16 bytes from gnu-win32 and
->14 for other compiler

I believe it's because gcc enforces alignment. The two extra bytes are
not used. I've seen it done by other compilers as well.

In some applications alignment is important. For instance, a 16-byte
structure can be aligned with the boundaries of the cache lines.

Alignment may also have to do with the memory manager (reducing the
number of buckets,) but I'm not familiar with this aspect of gcc.

There may be a gcc option to enforce structure packing, but memory may
fail me here.

Fabio
--
Fabio Somenzi          | Phone: 303-492-3466
University of Colorado | Fax:   303-492-2758
ECE Dept.              | Email: [email-masked]
Boulder CO 80309-0425  | WWW:   http://vlsi.colorado.edu/~fabio
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".